com.amazonaws.services.elastictranscoder.model

## Class DetectedProperties

- java.lang.Object
- - com.amazonaws.services.elastictranscoder.model.DetectedProperties

All Implemented Interfaces:
  Serializable, Cloneable

    public class DetectedProperties
    extends Object
    implements Serializable, Cloneable

The detected properties of the input file. Elastic Transcoder identifies these values from the input file.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DetectedProperties()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DetectedProperties` `clone()`
`boolean` `equals(Object obj)`
`Long` `getDurationMillis()` The detected duration of the input file, in milliseconds.
`Long` `getFileSize()` The detected file size of the input file, in bytes.
`String` `getFrameRate()` The detected frame rate of the input file, in frames per second.
`Integer` `getHeight()` The detected height of the input file, in pixels.
`Integer` `getWidth()` The detected width of the input file, in pixels.
`int` `hashCode()`
`void` `setDurationMillis(Long durationMillis)` The detected duration of the input file, in milliseconds.
`void` `setFileSize(Long fileSize)` The detected file size of the input file, in bytes.
`void` `setFrameRate(String frameRate)` The detected frame rate of the input file, in frames per second.
`void` `setHeight(Integer height)` The detected height of the input file, in pixels.
`void` `setWidth(Integer width)` The detected width of the input file, in pixels.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DetectedProperties` `withDurationMillis(Long durationMillis)` The detected duration of the input file, in milliseconds.
`DetectedProperties` `withFileSize(Long fileSize)` The detected file size of the input file, in bytes.
`DetectedProperties` `withFrameRate(String frameRate)` The detected frame rate of the input file, in frames per second.
`DetectedProperties` `withHeight(Integer height)` The detected height of the input file, in pixels.
`DetectedProperties` `withWidth(Integer width)` The detected width of the input file, in pixels.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DetectedProperties

    public DetectedProperties()

### Method Detail

#### setWidth

    public void setWidth(Integer width)

The detected width of the input file, in pixels.

Parameters:
  `width` - The detected width of the input file, in pixels.

#### getWidth

    public Integer getWidth()

The detected width of the input file, in pixels.

Returns:
  The detected width of the input file, in pixels.

#### withWidth

    public DetectedProperties withWidth(Integer width)

The detected width of the input file, in pixels.

Parameters:
  `width` - The detected width of the input file, in pixels.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setHeight

    public void setHeight(Integer height)

The detected height of the input file, in pixels.

Parameters:
  `height` - The detected height of the input file, in pixels.

#### getHeight

    public Integer getHeight()

The detected height of the input file, in pixels.

Returns:
  The detected height of the input file, in pixels.

#### withHeight

    public DetectedProperties withHeight(Integer height)

The detected height of the input file, in pixels.

Parameters:
  `height` - The detected height of the input file, in pixels.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setFrameRate

    public void setFrameRate(String frameRate)

The detected frame rate of the input file, in frames per second.

Parameters:
  `frameRate` - The detected frame rate of the input file, in frames per second.

#### getFrameRate

    public String getFrameRate()

The detected frame rate of the input file, in frames per second.

Returns:
  The detected frame rate of the input file, in frames per second.

#### withFrameRate

    public DetectedProperties withFrameRate(String frameRate)

The detected frame rate of the input file, in frames per second.

Parameters:
  `frameRate` - The detected frame rate of the input file, in frames per second.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setFileSize

    public void setFileSize(Long fileSize)

The detected file size of the input file, in bytes.

Parameters:
  `fileSize` - The detected file size of the input file, in bytes.

#### getFileSize

    public Long getFileSize()

The detected file size of the input file, in bytes.

Returns:
  The detected file size of the input file, in bytes.

#### withFileSize

    public DetectedProperties withFileSize(Long fileSize)

The detected file size of the input file, in bytes.

Parameters:
  `fileSize` - The detected file size of the input file, in bytes.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDurationMillis

    public void setDurationMillis(Long durationMillis)

The detected duration of the input file, in milliseconds.

Parameters:
  `durationMillis` - The detected duration of the input file, in milliseconds.

#### getDurationMillis

    public Long getDurationMillis()

The detected duration of the input file, in milliseconds.

Returns:
  The detected duration of the input file, in milliseconds.

#### withDurationMillis

    public DetectedProperties withDurationMillis(Long durationMillis)

The detected duration of the input file, in milliseconds.

Parameters:
  `durationMillis` - The detected duration of the input file, in milliseconds.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DetectedProperties clone()

Overrides:
  `clone` in class `Object`